package com.emato.cus.supervise.config;

import com.emato.cus.supervise.util.snow.DistributedSystemProperties;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 雪花算法生成ID
 * 此配置类需要放在 <code>workerId</code>和<code>datacenterId</code> 定义所在的子模块
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-26 16:06
 */
@Configuration
public class SnowflakePropertiesConfiguration {

    @Bean
    @ConfigurationProperties("ds")
    public DistributedSystemProperties distributedSystemProperties() {
        return new DistributedSystemProperties();
    }

}
