package com.emato.cus.supervise.util.snow;


import com.emato.cus.supervise.util.SpringApplicationContextSupport;

/**
 * 雪花算法工具类
 * 公用类
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-01-08 11:19
 */
public class SnowflakeUtil {

    private static final ThreadLocal<SnowflakeIdWorker> snowflakeIdWorkerThreadLocal = new ThreadLocal<>();

    private SnowflakeUtil() {
        throw new RuntimeException("Illegal instance SnowflakeUtil");
    }

    private static SnowflakeIdWorker snowWorkerInstance() {
        SnowflakeIdWorker snowflakeIdWorker = snowflakeIdWorkerThreadLocal.get();
        if (snowflakeIdWorker == null) {
            snowflakeIdWorker = SpringApplicationContextSupport.getBean("snowflakeIdWorker");
            snowflakeIdWorkerThreadLocal.set(snowflakeIdWorker);
        }
        return snowflakeIdWorker;
    }

    public static long getSnowNextId() {
        return snowWorkerInstance().nextId();
    }

}
